# Git

### Git ID
Permanent authentification:

* Repo already clone:
```bash
cd <REPO>
git config --global user.email "you@example.com"
git config --global user.name "Your Name"
git config --global user.password "your password"
git config credential.helper store
```

* Git clone + authentication:
```bash
git config --global user.email "you@example.com"
git config --global user.name "Your Name"
git config --global user.password "your password"

git clone <REPO>
Username for 'https://gitlab.com': <username>
Password for 'https://<username>@gitlab.com': <password>

cd <REPO>
git config credential.helper store
git pull
Username for 'https://gitlab.com': <username>
Password for 'https://<USERNAME>@gitlab.com': <password>
```

#### Options
Use git with a proxy:
```bash
git config --global http.proxy http://proxy.domain.com:port
```

### File ~/.netrc

This file contain the authentication for each sites you use:
```bash
machine <git.example.com>
login <login>
password <password>
```
